Bug 103074 - up2date-3.9.13-2 crashes at first rpm download
up2date-3.9.13-2 crashes at first rpm download
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-08-26 09:48 EDT by Michael Young
Modified: 2007-04-18 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.9.14-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-08 03:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Young 2003-08-26 09:48:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
up2date-3.9.13-2 crashes with the following error at the point it usually
downloads the first rpm to upgrade;
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1812, in doRetrieval
  File "/usr/share/rhn/up2date_client/up2date.py", line 298, in getPackage
    buffer = rpcServer.doCall(repos.getPackage, pkg, msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 40, in getPackage
    return self.handlers[channel['type']].getPackage(pkg, msgCallback,
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 183, in getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py", line 138, in
    f = open(filePath, "r+")
IOError: [Errno 2] No such file or directory:

This was my second try, having deselected anaconda which the first crash
complained at. 3.9.10-2 works in the same situation.
Comment 1 Adrian Likins 2003-08-26 14:27:21 EDT
doh, yup. 

fix should be in 3.9.14 (in the repo at 
Comment 2 Dave Habben 2003-09-08 01:40:30 EDT
I was hit this problem too. I'm currently running:

And it works for me, this bug should probably be marked as CLOSED/RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.